Skip to main content
POST
Export Voucher Transactions

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

code
string
required

A code that identifies the voucher or a unique voucher ID assigned by Voucherify, i.e. v_TzD19aeNiqGc9LWciMWknyEZT8IW7u4u.

Example:

"2CpRCE2c"

Body

application/json

Specify the parameters for the camapign transaction export.

Request body schema for POST v1/vouchers/transactions/export.

parameters
Export Transactions · object

Contains the parameters that define the data to be exported.

Response

Returns an export object.

Response body schema for POST v1/vouchers/{code}/transactions/export.

id
string
required

Unique export ID.

Example:

"exp_FFfp9o7daWuJqJCKp5xqqli4"

object
enum<string>
default:export
required

The type of object being represented. This object stores information about the export.

Available options:
export
created_at
string<date-time>
required

Timestamp representing the date and time when the export was scheduled in ISO 8601 format.

Example:

"2022-04-28T11:23:20.922Z"

status
enum<string>
default:SCHEDULED
required

Status of the export. Informs you whether the export has already been completed, i.e. indicates whether the file containing the exported data has been generated.

Available options:
SCHEDULED
channel
string
default:API
required

The channel through which the export was triggered.

exported_object
enum<string>
default:voucher_transactions
required

The type of exported object.

Available options:
voucher_transactions
parameters
Voucher Transactions · object
required

List of available fields and filters that can be exported with gift card or loyalty card transactions along with the sorting order of the returned data.

result
object | null
required

Contains the URL of the CSV file.

user_id
string | null
required

Identifies the specific user who initiated the export through the Voucherify Dashboard; returned when the channel value is WEBSITE.

Example:

"user_g24UoRO3Caxu7FCT4n5tpYEa3zUG0FrH"

Last modified on February 10, 2026